/*
 *  Copyright (c) 2012 Matisse Software Inc. All Rights Reserved.
 *
 *  This file (in both binary and source code form) is subject to the
 *  Supplemental License Terms governing use, modification and redistribution
 *  of Sample Code accompanying the Matisse(R) software.
 *
 */

#import <Foundation/Foundation.h>

// Matisse Objective-C header
#import "matisseObjC.h"

#import "PersonExtend.h"
#import "PostalAddress.h"

@implementation Person (Extend)

- (void)deepRemove {
  printf("-[Person deepRemove] %s\n", [[self description] UTF8String]);
  if ([self address]) {
    [[self address] deepRemove];
  }
  [super deepRemove];
}

@end
